$(document).ready(function(){
    $('form').each(function(a, form){
        var error_span = $(form).find('.form_error');
        if($(error_span).length > 0 && $(error_span).text() != ''){
            $('[name*="/required"]',$(error_span).parents('form')).each(
                function(aId, aObject){
                    if($(aObject).val() == ''){
                        $(aObject).addClass('formfield_error');
                    }
            });
            var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
            $('[name*="/usrmail"],[name*="/mail"]',$(error_span).parents('form')).each(
                function(aId, aObject){
                    if($(aObject).val() == '' || !emailReg.test($(aObject).val())){
                        $(aObject).addClass('formfield_error');
                    }
            });
        }else{
            var defaultValues = [];
            $(form).submit(function(){
                $('input,textarea',$(form)).click();
                return true;
            });
            $('input[type="text"],textarea',$(form)).each(function(){
                if($(this).val() != ''){
                    defaultValues[$(this).attr('name')] = $(this).val();
                    $(this).click(function(){
                        if($(this).val() == defaultValues[$(this).attr('name')])
                            $(this).val('');
                    }).blur(function(){
                        if($(this).val() == '')
                            $(this).val(defaultValues[$(this).attr('name')]);
                    });
                }
            });
        }
    });
});