<?php
    @session_start();

    //
	// includes
	//
    require_once 'connectdb.php';

	if(empty($_SESSION["LANGUAGE"])){ $_SESSION["LANGUAGE"]='de'; }
	require_once 'languages.inc.php';

	if (! function_exists('getDepth')) { function getDepth($_grp_id = null) {
    	if ($_grp_id == null) {
    		return 0;
    	}

    	// CASE #1: NULL [>id<] NULL

			// remark: only one dataset of this type can exist
			// 		   -> represents case of "root elements without successors"

			$id   = null;
			$db_w = "`root_id_fk` IS NULL AND `element_id_fk` = '".mysql_real_escape_string($_grp_id)."' AND `successor_id_fk` IS NULL";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_group_treestruct` AS A INNER JOIN `dynpg_cms_groups` AS B ON A.`element_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				return 1;
			}

		// CASE #2: NULL [>id<] [id]

			// remark: a free number of entries of this type can exist
			//		   -> represents case of "root elements"

			$id   = null;
			$db_w = "`root_id_fk` IS NULL AND `element_id_fk` = '".mysql_real_escape_string($_grp_id)."' AND `successor_id_fk` IS NOT NULL";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_group_treestruct` AS A INNER JOIN `dynpg_cms_groups` AS B ON A.`element_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				return 1;
			}

		// CASE #3: [id] [>id<] [id]

			// remark: a free number of entries of this type can exist
			//		   -> represents case of "non-root elements"

			$id   = null;
			$db_w = "`root_id_fk` IS NOT NULL AND `element_id_fk` = v AND `successor_id_fk` IS NOT NULL";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_group_treestruct` AS A INNER JOIN `dynpg_cms_groups` AS B ON A.`element_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				$db_r = mysql_fetch_assoc($db__);
				return 1 + getDepth($db_r['root_id_fk']);
			}

		// CASE #4: [id] [id] [>id<]

			// remark: only one dataset of this type can exist

			$db_w = "`root_id_fk` IS NOT NULL AND `element_id_fk` IS NOT NULL  AND `successor_id_fk` = '".mysql_real_escape_string($_grp_id)."'";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_group_treestruct` AS A INNER JOIN `dynpg_cms_groups` AS B ON A.`successor_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				$db_r = mysql_fetch_assoc($db__);
				return 1 + getDepth($db_r['element_id_fk']);
			}

		// CASE #5: NULL [id] [>id<]

			// remark: only one dataset of this type can exist

			$db_w = "`root_id_fk` IS NULL AND `element_id_fk` IS NOT NULL AND `successor_id_fk` = '".mysql_real_escape_string($_grp_id)."'";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_group_treestruct` AS A INNER JOIN `dynpg_cms_groups` AS B ON A.`successor_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				return 2;
			}

		return 0;
    }}

	if (! function_exists('list_Successors')) { function list_Successors(&$_output, $_group_id, $_depth = 0, $_order_by = null, $_sort = null) {
        if ( $_depth ) {
            $select  = "A.`element_id_fk` = '".mysql_real_escape_string($_group_id)."'";
            $element = "successor_id_fk";
        } else {
            $select  = "A.`root_id_fk` IS NULL GROUP BY A.`element_id_fk`";
            $element = "element_id_fk";
        }

        $__result = mysql_query("SELECT DISTINCT
                                    A.*,

                                    B.*,

                                    (C.`successor_id_fk` IS NOT NULL) AS `hasSuccessors`

                                 FROM
                                    (`dynpg_cms_group_treestruct` AS A

                                        INNER JOIN `dynpg_cms_groups` AS B

                                        ON A.`$element` = B.`id`)

                                        LEFT JOIN `dynpg_cms_group_treestruct` AS C

										ON A.`successor_id_fk` = C.`element_id_fk`

                                 WHERE
                                    $select

                                 ORDER BY
                                    ". implode(', ' , array_map(create_function('$a, $b', 'return "B.`".mysql_real_escape_string(str_replace(\'`\', \'\', $a))."` ".((strtoupper($b) == \'ASC\')?\'ASC\':\'DESC\')."";') , $_order_by, $_sort)) );

        while ( $__row = mysql_fetch_array($__result, MYSQL_ASSOC) ) {
            // deduce the next element
				$next = ( $_depth > 0 )? $__row['successor_id_fk']: $__row['element_id_fk'];

            // deduce if group has successors
				if ( !is_null($__row['successor_id_fk']) ) {
					$hasSuccessors = !$_depth || $__row['hasSuccessors'] == 1;
                } else {
                    $hasSuccessors = false;
                }

            // add group to tree
				$_output[] = Array($__row, $_depth, $hasSuccessors);

            // add recursively subtree
				if ($hasSuccessors) {
                    list_Successors($_output, $next, $_depth + 1, $_order_by, $_sort);
                }
        }
    }}

    // echo '<pre>';
    // print_r($_POST);
    // echo '</pre>';

    if ( !empty($_POST['saveRights']) ) {

        $checked = 0;
        if ( !empty($_POST['giveRights_giveright']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `GIVERIGHT` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `GIVERIGHT` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( !empty($_POST['giveRights_administrative']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `ADMINISTRATIVE` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `ADMINISTRATIVE` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( !empty($_POST['giveRights_autarkic']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `AUTARKIC` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `AUTARKIC` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( !empty($_POST['giveRights_dovotes']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOVOTES` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOVOTES` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( !empty($_POST['giveRights_doguestbook']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOGUESTBOOK` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOGUESTBOOK` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( !empty($_POST['giveRights_dobasket']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOBASKET` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOBASKET` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( !empty($_POST['giveRights_doforum']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOFORUM` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOFORUM` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

		if ( !empty($_POST['giveRights_dostatistics']) ) {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOSTATISTICS` = 'TRUE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
            $checked++;
        } else {
            mysql_query("UPDATE `dynpg_cms_user` SET `DOSTATISTICS` = 'FALSE' WHERE `id` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' ");
        }

        if ( empty($_POST['giveRights_admin_create']) ) {
            $_POST['giveRights_admin_create'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_create'] = 'TRUE';
        }

        if ( empty($_POST['giveRights_admin_delete']) ) {
            $_POST['giveRights_admin_delete'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_delete'] = 'TRUE';
        }

        if ( empty($_POST['giveRights_admin_change']) ) {
            $_POST['giveRights_admin_change'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_change'] = 'TRUE';
        }

        if ( empty($_POST['giveRights_admin_publish']) ) {
            $_POST['giveRights_admin_publish'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_publish'] = 'TRUE';
        }

        mysql_query("DELETE FROM `dynpg_cms_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'ADMIN' AND `SECTION` IS NULL");
        mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                     VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'ADMIN', NULL, '$_POST[giveRights_admin_create]', '$_POST[giveRights_admin_delete]', '$_POST[giveRights_admin_change]', '$_POST[giveRights_admin_publish]');");

        if ( !empty($_POST['giveRights_GroupId']) ) {
            if ( empty($_POST['giveRights_group_create']) ) {
                $_POST['giveRights_group_create'] = 'FALSE';
            } else {
                $_POST['giveRights_group_create'] = 'TRUE';
            }

            if ( empty($_POST['giveRights_group_delete']) ) {
                $_POST['giveRights_group_delete'] = 'FALSE';
            } else {
                $_POST['giveRights_group_delete'] = 'TRUE';
            }

            if ( empty($_POST['giveRights_group_change']) ) {
                $_POST['giveRights_group_change'] = 'FALSE';
            } else {
                $_POST['giveRights_group_change'] = 'TRUE';
            }

            if ( empty($_POST['giveRights_group_publish']) ) {
                $_POST['giveRights_group_publish'] = 'FALSE';
            } else {
                $_POST['giveRights_group_publish'] = 'TRUE';
            }

            $depth = getDepth($_POST['giveRights_GroupId']) - 1;
			list_Successors($successors, $_POST['giveRights_GroupId'], $depth, Array('id'), Array('ASC'));

            mysql_query("DELETE FROM `dynpg_cms_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($_POST['giveRights_GroupId'])."'");
            mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                         VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'GROUP', '".mysql_real_escape_string($_POST['giveRights_GroupId'])."', '$_POST[giveRights_group_create]', '$_POST[giveRights_group_delete]', '$_POST[giveRights_group_change]', '$_POST[giveRights_group_publish]');");

			if (is_array($successors) && isset($_POST['giveRights_group_subgroups'])) {
				foreach ($successors as $group) {
					if ($group[1] > $depth) {
						mysql_query("DELETE FROM `dynpg_cms_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($group[0]['id'])."'");
			            mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`)
			                         VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'GROUP', '".mysql_real_escape_string($group[0]['id'])."', '$_POST[giveRights_group_create]', '$_POST[giveRights_group_delete]', '$_POST[giveRights_group_change]', '$_POST[giveRights_group_publish]');");
			        }
				}
			}
        }

        $checked += 6;

        $idx = 0;

        foreach ( $_POST as $key => $value ) {
            $idx++;

            if ( $idx <= $checked ) {
                continue;
            }

            if ( $key == 'giveRights_UserId' ) {
                break;
            }

            if ( empty($current['alias']) ) {
                $current['alias'] = $value;
                $current['count'] = 0;
            }

            if ( !empty($current['alias']) && $current['count'] == 3 ) {
                $current['alias'] = $value;
                $current['count'] = 0;
            }

            $current['count']++;

            if ( $current['count'] == 1 ) {

                if ( empty($_POST['giveRights_article_delete_'.$current['alias']]) ) {
                    $_POST['giveRights_article_delete_'.$current['alias']] = 'FALSE';
                } else {
                    $_POST['giveRights_article_delete_'.$current['alias']] = 'TRUE';
                }

                if ( empty($_POST['giveRights_article_change_'.$current['alias']]) ) {
                    $_POST['giveRights_article_change_'.$current['alias']] = 'FALSE';
                } else {
                    $_POST['giveRights_article_change_'.$current['alias']] = 'TRUE';
                }

                if ( empty($_POST['giveRights_article_publish_'.$current['alias']]) ) {
                    $_POST['giveRights_article_publish_'.$current['alias']] = 'FALSE';
                } else {
                    $_POST['giveRights_article_publish_'.$current['alias']] = 'TRUE';
                }

                mysql_query("DELETE FROM `dynpg_cms_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'ARTICLE' AND `SECTION` = '".mysql_real_escape_string($current['alias'])."'");

                if ( Array($_POST['giveRights_article_change_'.$current['alias']], $_POST['giveRights_article_delete_'.$current['alias']]) != Array('FALSE', 'FALSE') ) {
                    mysql_query("INSERT INTO `dynpg_cms_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`, `PUBLISH`)
                                 VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'ARTICLE', '".mysql_real_escape_string($current['alias'])."', 'FALSE', '".$_POST['giveRights_article_delete_'.$current['alias']]."', '".$_POST['giveRights_article_change_'.$current['alias']]."', '" . $_POST['giveRights_article_publish_'.$current['alias']] . "');");
                }
            }
        }

    }

    if ( !isset($_GET['xUser']) ) {
        $_GET['xUser'] = '';
    }

    if ( !isset($_GET['xGrp']) ) {
        $_GET['xGrp'] = '';
    }

    global $CURRENT__GET_USER;
    if ( !empty($_GET['xUser']) ) {
        $GLOBALS['CURRENT__GET_USER'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_user` WHERE `id` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);
        $offset = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_rights` WHERE `PARENT` = 'ADMIN' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."' "), MYSQL_ASSOC);
        if ( !empty($offset['CREATE']) ) {
            $GLOBALS['CURRENT__GET_USER']['CREATE'] = $offset['CREATE'];
            $GLOBALS['CURRENT__GET_USER']['CHANGE'] = $offset['CHANGE'];
            $GLOBALS['CURRENT__GET_USER']['DELETE'] = $offset['DELETE'];
            $GLOBALS['CURRENT__GET_USER']['PUBLISH'] = $offset['PUBLISH'];
        } else {
            $GLOBALS['CURRENT__GET_USER']['CREATE'] = 'FALSE';
            $GLOBALS['CURRENT__GET_USER']['CHANGE'] = 'FALSE';
            $GLOBALS['CURRENT__GET_USER']['DELETE'] = 'FALSE';
            $GLOBALS['CURRENT__GET_USER']['PUBLISH'] = 'FALSE';
        }
    } else {
        $GLOBALS['CURRENT__GET_USER']['GIVERIGHT']      = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['ADMINISTRATIVE'] = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['AUTARKIC']       = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOVOTES']        = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOGUESTBOOK']    = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOBASKET']       = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOFORUM']        = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOSTATISTICS']   = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['CREATE']         = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['CHANGE']         = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DELETE']         = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['PUBLISH']        = 'FALSE';
    }

    global $CURRENT__GET_GROUP;
    global $CURRENT__GET_RIGHTS;
    if ( !empty($_GET['xGrp']) ) {
        $GLOBALS['CURRENT__GET_GROUP'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_groups` WHERE `id` = '".mysql_real_escape_string($_GET['xGrp'])."'"), MYSQL_ASSOC);

        if ( !empty($_GET['xUser']) ) {
            $GLOBALS['CURRENT__GET_RIGHTS'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_rights` WHERE `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($_GET['xGrp'])."' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);
        }
    } else {
        $GLOBALS['CURRENT__GET_GROUP']['NAME']       = '<i>'.$GLOBALS["lang_dpg"]->str["lang_rights_none"].'</i>';
        $GLOBALS['CURRENT__GET_GROUP']['SHORTTEXT']  = '';
    }
?>

<script language="javascript" type="text/javascript">
<!--
	function showHtmlThing(elementsArray)
	{
		for ( var i = 0; i< elementsArray.length; ++i )
		{
			if ( document.getElementById(elementsArray[i]).style.display == 'block' ) {
				document.getElementById(elementsArray[i]).style.display = 'none';
			} else {
				document.getElementById(elementsArray[i]).style.display = 'block';
			}
		}
	}

	function loadOrUnloadImage(image, showSrc)
	{
		if ( document.getElementById(image).src.search(showSrc) > 0 ) {
			document.getElementById(image).src = 'pictures/checkbox.gif';
			document.getElementById(image.replace(/\_i/, '')).value = '';
		} else {
			document.getElementById(image).src = 'pictures/' + showSrc;
			document.getElementById(image.replace(/\_i/, '')).value = 'checked';
		}
	}

	function doSelect(what)
	{
		for ( var i = 1; i <= document.getElementById('giveRights_Positions').value; ++i ) {

			if ( what == 'all' || what == 'delete' ) {
				var imgNameDelete = 'giveRights_article_delete_i_' + document.getElementById('giveRights_article_alias_' + i).value;
				loadOrUnloadImage(imgNameDelete, 'imgbtn_delete.jpg');
			}

			if ( what == 'all' || what == 'change' ) {
				var imgNameChange = 'giveRights_article_change_i_' + document.getElementById('giveRights_article_alias_' + i).value;
				loadOrUnloadImage(imgNameChange, 'imgbtn_edit.gif');
			}
		}
	}
//--->
</script>

<h3><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title"]; ?></h3>

<?php

    if ( !dynpg_getRightsToUser(C_RIGHTS_GIVERIGHT) ) {

        ?>

		<table border="0" cellpadding="5" cellspacing="0" width="100%" style="background-color: <?php echo C_WEBSITE_MAINBACKGROUND ?>;" class="InnerWebSiteTable">
				<?php
					$ROW = mysql_fetch_object(mysql_query("SELECT * FROM `dynpg_cms_rights` WHERE `USERID`='".mysql_real_escape_string($_SESSION['ID'])."' AND `PARENT`='ADMIN'"));
					if (empty($ROW)) {
                        $Rights_Array = Array(
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"],
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"],
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"],
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"]
                        );
                    } else {
						$Rights_Array[0] = ($ROW->CREATE=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
						$Rights_Array[1] = ($ROW->DELETE=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
						$Rights_Array[2] = ($ROW->CHANGE=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
						$Rights_Array[3] = ($ROW->PUBLISH=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
					}

					$ROW = mysql_fetch_object(mysql_query("SELECT * FROM `dynpg_cms_images_rights` WHERE `USERID`='".mysql_real_escape_string($_SESSION['ID'])."' AND `PARENT`='ADMIN'"));
					if (empty($ROW)) {
                        $Image_Rights_Array = Array(
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"],
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"],
                            $GLOBALS["lang_dpg"]->str["lang_settings_restricted"]
                        );
                    } else {
						$Image_Rights_Array[0] = ($ROW->CREATE=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
						$Image_Rights_Array[1] = ($ROW->DELETE=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
						$Image_Rights_Array[2] = ($ROW->CHANGE=='TRUE') ? $GLOBALS["lang_dpg"]->str["lang_settings_true"] : $GLOBALS["lang_dpg"]->str["lang_settings_false"];
					}

			echo
				"<tr><td style=\"width: 200px;\"><strong>".$GLOBALS["lang_dpg"]->str["lang_articles_title"]."</strong></td><td>&nbsp;</td></tr>".

                "<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_create"]."</td><td>$Rights_Array[0]</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_delete"]."</td><td>$Rights_Array[1]</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_change"]."</td><td>$Rights_Array[2]</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_publish"]."</td><td>$Rights_Array[3]</td></tr>".

				"<tr><td style=\"width: 200px;\"><strong>".$GLOBALS["lang_dpg"]->str["lang_file_management_title"]."</strong></td><td>&nbsp;</td></tr>".

				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_create"]."</td><td>$Image_Rights_Array[0]</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_delete"]."</td><td>$Image_Rights_Array[1]</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_change"]."</td><td>$Image_Rights_Array[2]</td></tr>".

                "<tr><td style=\"width: 200px;\"><strong>".$GLOBALS["lang_dpg"]->str["lang_rights_title"]."</strong></td><td>&nbsp;</td></tr>".

				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_rights"]. "</td>".
                "<td>".(($_SESSION["GIVERIGHT"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".

                "<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_administrative"]. "</td>".
                "<td>".(($_SESSION["ADMINISTRATIVE"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".

                "<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_autarkic"]. "</td>".
                "<td>".(($_SESSION["AUTARKIC"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".

				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_votes"]. "</td>". "<td>".(($_SESSION["DOVOTES"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".    			 "<tr><td>".$GLOBALS["lang_dpg"]->str["lang_settings_man_gb"]. "</td>". "<td>".(($_SESSION["DOGUESTBOOK"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_basket"]."</td>". "<td>".(($_SESSION["DOBASKET"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_forum"]."</td>". "<td>".(($_SESSION["DOFORUM"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>".
				"<tr><td style=\"width: 200px;\">".$GLOBALS["lang_dpg"]->str["lang_settings_man_statistics"]."</td>". "<td>".(($_SESSION["DOSTATISTICS"]=='TRUE')? $GLOBALS["lang_dpg"]->str["lang_settings_true"]: $GLOBALS["lang_dpg"]->str["lang_settings_false"])."</td></tr>";

					$PUB_Giveright = $_SESSION["GIVERIGHT"];
			    ?>
		</table>
		<br /> <p align="center"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_noRights"]; ?></b></p>


		<?php

        die ('</body></html>');
    }

?>

<table border="0" cellpadding="2" cellspacing="0" width="100%" class="InnerWebSiteTable">
	<tr>
		<td valign="top" align="left" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
            <table border="0" cellpadding="10" cellspacing="0" width="100%">
                <tr>
                    <td width="80" align="center">
                        <a href="index.php?show=<?php print md5('rights_1') ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_1"]; ?>"><img src="pictures/btn_rights_1.gif" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_1"]; ?>" alt="rights_1" border="0" /></a>
                        <p><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_1"]; ?></p>
                    </td>
                    <td width="80" align="center">
                        <a href="index.php?show=<?php print md5('rights_2') ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_2"]; ?>"><img src="pictures/btn_rights_2.gif" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_2"]; ?>" alt="rights_2" border="0" /></a>
                        <p><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_2"]; ?></p>
                    </td>
                    <td width="80" align="center">
                        <a href="index.php?show=<?php print md5('rights_3') ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_3"]; ?>"><img src="pictures/btn_rights_3.gif" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_3"]; ?>" alt="rights_3" border="0" /></a>
                        <p><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_3"]; ?></p>
                    </td>
                    <td width="100%" align="center">&nbsp;</td>
                </tr>
            </table>
		</td>
	</tr>
</table>
